Strophe 0.13 XMPP client library

Data Structures | Macros | Functions
sha512.h File Reference

SHA-512 hash API. More...

## Data Structures
struct | sha512_context

## Macros
#define | SHA512_DIGEST_SIZE 64

## Functions
void | sha512_init (sha512_context *cc)
void | sha512_process (sha512_context *cc, const uint8_t *data, size_t len)
void | sha512_done (sha512_context *cc, uint8_t *dst)
void | sha512_hash (const uint8_t *data, size_t len, uint8_t *digest)

## Detailed Description

SHA-512 hash API.

## Macro Definition Documentation

## ◆ SHA512_DIGEST_SIZE

#define SHA512_DIGEST_SIZE 64

## Function Documentation

## ◆ sha512_init()

void sha512_init | ( | sha512_context * | cc | ) |

## ◆ sha512_process()

void sha512_process | ( | sha512_context * | cc,
|  | const uint8_t * | data,
|  | size_t | len )

## ◆ sha512_done()

void sha512_done | ( | sha512_context * | cc,
|  | uint8_t * | dst )

## ◆ sha512_hash()

void sha512_hash | ( | const uint8_t * | data,
|  | size_t | len,
|  | uint8_t * | digest )